Subject: RE: find bug?
From: [email-masked] (Brian R. Toonen)

28 Oct 1998 17:19:48 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: <[email-masked]>, <[email-masked]>

$ uname -rv
4.0 19.1

--brian

> -----Original Message-----
> From: Earnie Boyd [mailto:[email-masked]]
> Sent: Tuesday, October 27, 1998 3:04 PM
> To: Brian R. Toonen; [email-masked]
> Subject: Re: find bug?
> 
> 
> 
> What release and version of the cygwin.dll?
> 
> uname -rv will give it to you.
> 
> ---"Brian R. Toonen" <[email-masked]> wrote:
> >
> > I've discovered what I believe to be a bug in find.  When searching
> for file of a particular name, find does not recurse into directories
> that have the same name as a directory earlier in the hierarchy. 
> Enclosed below is an example of it not finding the file 'config' in
> Communications/nexus/libraries/nexus.  Since this works correctly on
> all of the variants of UNIX, I believe the bug is specific to the
> cygwin port of find or the cygwin library.
> > 
> > Note: in a real world scenario, this bug results in autoreconf not
> updating the configure file in Communications/nexus/libraries/nexus.
> > 
> > --brian
> > 
> > 
> > $ mkdir Communications
> > $ mkdir Communications/nexus
> > $ mkdir Communications/nexus/libraries
> > $ mkdir Communications/nexus/libraries/nexus
> > $ mkdir Communications/nexus/libraries/mp
> > $ mkdir Communications/nexus/libraries/duct
> > $ echo "config" > Communications/config
> > $ echo "config" > Communications/nexus/config
> > $ echo "config" > Communications/nexus/libraries/config
> > $ echo "config" > Communications/nexus/libraries/nexus/config
> > $ echo "config" > Communications/nexus/libraries/mp/config
> > $ echo "config" > Communications/nexus/libraries/duct/config
> > $ find Communications -name config -print
> > Communications/config
> > Communications/nexus/config
> > Communications/nexus/libraries/config
> > Communications/nexus/libraries/duct/config
> > Communications/nexus/libraries/mp/config
> > $ find Communications -type d -print
> > Communications
> > Communications/nexus
> > Communications/nexus/libraries
> > Communications/nexus/libraries/duct
> > Communications/nexus/libraries/mp
> > Communications/nexus/libraries/nexus
> > $ ls Communications/nexus/libraries/nexus/config
> > Communications/nexus/libraries/nexus/config
> > $
> > 
> > -
> > For help on using this list (especially unsubscribing), send a
> message to
> > "[email-masked]" with one line of text: "help".
> > 
> 
> ==
> -                  \\||//
> -------------o0O0--Earnie--0O0o--------------
> --          [email-masked]          --
> -- http://www.freeyellow.com/members5/gw32 --
> ----------------ooo0O--O0ooo-----------------
> 
> PS: Newbie's, you should visit my page.
> _________________________________________________________
> DO YOU YAHOO!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".